# Timer_Hash_T.h File Reference

`#include "ace/Timer_Queue_T.h"`
`#include "ace/Free_List.h"`
`#include "ace/Timer_Hash_T.cpp"`

Include dependency graph for Timer_Hash_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Timer_Hash_Upcall< TYPE, FUNCTOR, ACE_LOCK >
| Functor for Timer_Hash. More...
class | ACE_Timer_Hash_Iterator_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >
| Iterates over an <ace_timer_hash_t>. More...
class | ACE_Timer_Hash_T< TYPE, FUNCTOR, ACE_LOCK, BUCKET >
| Provides a hash table of <bucket>s as an implementation for a timer queue. More...

## Detailed Description

Id
  Timer_Hash_T.h,v 1.40 2006/02/10 10:30:43 jwillemsen Exp

Author:
  Darrell Brunsch <brunsch@cs.wustl.edu>